#include "Vector3D03.h"

#include <iostream>

using namespace std;

int main() {

  // create two Vector3D objects
  Vector3D u(  3.4, 4.5, 7.2 );
  Vector3D v( -1.6, 6.9, 2.8 );

  // print components: Vector2D functions can be used directly
  cout << u.getX() << " " << u.getY() << " " << u.getZ() << endl;
  cout << v.getX() << " " << v.getY() << " " << v.getZ() << endl;
  cout << "***********" << endl;

  // transform only x and y components
  u.Vector2D::             // operators on different lines to emphasize them
    transform( 2.5, 3.5 ); // the instruction could stay on a single line
  cout << u.getX() << " " << u.getY() << " " << u.getZ() << endl;

  return 0;

}

